Page MenuHomeFreeBSD

graphics/darktable: update to 2.0.2
ClosedPublic

Authored by dumbbell on Feb 14 2016, 5:00 PM.

Details

Summary

New upstream release.

This update also fixes the build on FreeBSD 9.3-RELEASE. At least there, it appears the definition of powl(3) is hidden behind _DECLARE_C99_LDBL_MATH. This is fixed in at least 11-CURRENT; I didn't check in FreeBSD 10.x. Let's fix the build by defining _DECLARE_C99_LDBL_MATH, as it is done in a few other ports already.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dumbbell updated this revision to Diff 13295.Feb 14 2016, 5:00 PM
dumbbell retitled this revision from to graphics/darktable: Fix build on FreeBSD 9.3-RELEASE.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added a reviewer: kwm.
dumbbell updated this revision to Diff 14158.Mar 8 2016, 9:42 AM

Update darktable to 2.0.2

dumbbell retitled this revision from graphics/darktable: Fix build on FreeBSD 9.3-RELEASE to graphics/darktable: update to 2.0.2.Mar 8 2016, 9:44 AM
dumbbell updated this object.
dumbbell updated this revision to Diff 14239.Mar 11 2016, 4:14 PM

Update comment about _DECLARE_C99_LDBL_MATH

kwm accepted this revision.Mar 11 2016, 4:23 PM
kwm edited edge metadata.
This revision is now accepted and ready to land.Mar 11 2016, 4:23 PM
This revision was automatically updated to reflect the committed changes.